commit 3fc08f2de6c13f5fd9863a2c533acce8e2c05a30
Author: vastja <vastja@students.zcu.cz>
Date:   Mon Apr 20 20:19:21 2020 +0000

    Re #7857
    
    + twig, annotations, mongo přidáno do composer.json
    + template and routing základní test funkcionality
    + mongo dump obnova - compose.yml - přidán nový volume data-db pro
    uchování dat (docker windows nezvládá volume: ./database:/data/db) a
    mount dev-dump složky
    + build.bat (dev) - composer update, mongorestore

diff --git a/.gitignore b/.gitignore
index e13a823..1b9be7a 100644
--- a/.gitignore
+++ b/.gitignore
@@ -5,4 +5,6 @@ cache
 .phpcs-cache
 .php_cs.cache
 database/
-.idea
\ No newline at end of file
+.idea
+dev-dump/
+*.lock
diff --git a/scripts/dev/build.bat b/scripts/dev/build.bat
index 755ed62..86b46b1 100644
--- a/scripts/dev/build.bat
+++ b/scripts/dev/build.bat
@@ -1,3 +1,6 @@
 docker-compose down
 docker-compose -f .docker-compose-dev.yml up --build -d
-docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
\ No newline at end of file
+docker-compose exec php-fpm composer config extra.symfony.allow-contrib true --no-interaction --working-dir=/var/www/symfony
+docker-compose exec php-fpm composer install --no-interaction --working-dir=/var/www/symfony
+docker-compose exec php-fpm composer update --no-interaction --working-dir=/var/www/symfony
+
diff --git a/website/.env b/website/.env
index dfeb211..b27d331 100644
--- a/website/.env
+++ b/website/.env
@@ -19,3 +19,4 @@ APP_SECRET=ca5751564bbb9a0d75d412e020790283
 #TRUSTED_PROXIES=127.0.0.0/8,10.0.0.0/8,172.16.0.0/12,192.168.0.0/16
 #TRUSTED_HOSTS='^(localhost|example\.com)$'
 ###< symfony/framework-bundle ###
+DATABASE_CONNECTION_STRING=mongodb://root:root@database
diff --git a/website/config/bundles.php b/website/config/bundles.php
index 0d71512..79e5d08 100644
--- a/website/config/bundles.php
+++ b/website/config/bundles.php
@@ -3,4 +3,6 @@
 return [
     Symfony\Bundle\FrameworkBundle\FrameworkBundle::class => ['all' => true],
     Sensio\Bundle\FrameworkExtraBundle\SensioFrameworkExtraBundle::class => ['all' => true],
+    Symfony\Bundle\TwigBundle\TwigBundle::class => ['all' => true],
+    Twig\Extra\TwigExtraBundle\TwigExtraBundle::class => ['all' => true]
 ];
diff --git a/website/public/js/zcu-heatmap.js b/website/public/js/zcu-heatmap.js
new file mode 100644
index 0000000..c209c05
--- /dev/null
+++ b/website/public/js/zcu-heatmap.js
@@ -0,0 +1,40 @@
+var mymap;
+
+
+function initMap(x = 49.724, y = 13.352, zoom = 17) {
+
+    mymap = L.map('heatmap').setView([x, y], zoom);
+
+    L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
+        attribution: '&copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap contributors</a>',
+        maxZoom: 19
+    }).addTo(mymap);
+    
+    
+
+}
+
+function showHeatmap(route) {
+
+    $.ajax({
+        type: "POST",
+        url: route, 
+        success: function(result) {
+            drawHeatmap(result);
+        }
+    });
+
+}
+
+function drawHeatmap(points) {
+        
+    // Flipped x and y
+    points = points.map(function (p) { return [p['y'], p['x'], p['number']]; });
+
+    L.heatLayer(points).addTo(mymap), draw = true;
+
+}
+            
+            
+
+
diff --git a/website/src/Controller/HeatmapController.php b/website/src/Controller/HeatmapController.php
new file mode 100644
index 0000000..6c88dcb
--- /dev/null
+++ b/website/src/Controller/HeatmapController.php
@@ -0,0 +1,23 @@
+<?php
+
+namespace App\Controller;
+
+use App\OpenData\IOpenDataManager;
+use Symfony\Component\Routing\Annotation\Route;
+use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
+
+class HeatmapController extends AbstractController {
+    /**
+     * @Route("/heatmap")
+     */
+    public function index() {
+        return $this->render('heatmap.html.twig');
+    }
+
+    /**
+     * @Route("heatmap/opendata/{collectionName}", name="opendata")
+     */
+    public function opendata(IOpenDataManager $manager, $collectionName) {
+        return $this->json($manager->getCollectionDataByName($collectionName));
+    }
+}
diff --git a/website/src/IOpenDataManager.php b/website/src/IOpenDataManager.php
new file mode 100644
index 0000000..6b62fed
--- /dev/null
+++ b/website/src/IOpenDataManager.php
@@ -0,0 +1,7 @@
+<?php
+
+namespace App\OpenData;
+
+interface IOpenDataManager {
+    public function getCollectionDataByName($name);
+}
diff --git a/website/src/OpenDataManager.php b/website/src/OpenDataManager.php
new file mode 100644
index 0000000..4f31b2f
--- /dev/null
+++ b/website/src/OpenDataManager.php
@@ -0,0 +1,28 @@
+<?php
+
+namespace App\OpenData;
+
+use MongoDB\Driver\Query;
+use MongoDB\Driver\Manager;
+
+class OpenDataManager implements IOpenDataManager {
+    private $manager;
+
+    public function __construct() {
+        $this->manager = new Manager(
+            $_ENV['DATABASE_CONNECTION_STRING']
+        );
+    }
+
+    public function getCollectionDataByName($name) {
+        $openData = $this->manager->executeQuery($name, new Query([], []));
+
+        $openData->setTypeMap([
+            'array' => 'array',
+            'document' => 'array',
+            'root' => 'array',
+        ]);
+
+        return $openData->toArray();
+    }
+}
